Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.multimedia
Enum MediaPlayParameters.Viability.FitModeEnum

    java.lang.Object
      java.lang.Enum<MediaPlayParameters.Viability.FitModeEnum>
          org.pdfclown.documents.multimedia.MediaPlayParameters.Viability.FitModeEnum

All Implemented Interfaces:
  Serializable, Comparable<MediaPlayParameters.Viability.FitModeEnum>

Enclosing class:
  MediaPlayParameters.Viability

    public static enum MediaPlayParameters.Viability.FitModeEnum

extends Enum<MediaPlayParameters.Viability.FitModeEnum>

Enum Constant Summary
`Default` Use the player's default setting (author has no preference).
`Fill` The media's width and height are scaled independently so that the media and play rectangles are the same; the aspect ratio is not necessarily preserved.
`Hidden` The media is not scaled.
`Meet` The media's width and height are scaled while preserving the aspect ratio so that the media and play rectangles have the greatest possible intersection while still displaying all media content.
`Scroll` The media is not scaled.
`Slice` The media's width and height are scaled while preserving the aspect ratio so that the play rectangle is entirely filled, and the amount of media content that does not fit within the play rectangle is minimized.

Method Summary
`PdfInteger` | `getCode()`
`static MediaPlayParameters.Viability.FitModeEnum` | `valueOf(PdfInteger code)`
`static MediaPlayParameters.Viability.FitModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MediaPlayParameters.Viability.FitModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Meet

    public static final MediaPlayParameters.Viability.FitModeEnum Meet

  The media's width and height are scaled while preserving the aspect ratio so that the media and play rectangles have the greatest possible intersection while still displaying all media content. Same as `meet` value of SMIL's fit attribute.

### Slice

    public static final MediaPlayParameters.Viability.FitModeEnum Slice

  The media's width and height are scaled while preserving the aspect ratio so that the play rectangle is entirely filled, and the amount of media content that does not fit within the play rectangle is minimized. Same as `slice` value of SMIL's fit attribute.

### Fill

    public static final MediaPlayParameters.Viability.FitModeEnum Fill

  The media's width and height are scaled independently so that the media and play rectangles are the same; the aspect ratio is not necessarily preserved. Same as `fill` value of SMIL's fit attribute.

### Scroll

    public static final MediaPlayParameters.Viability.FitModeEnum Scroll

  The media is not scaled. A scrolling user interface is provided if the media rectangle is wider or taller than the play rectangle. Same as `scroll` value of SMIL's fit attribute.

### Hidden

    public static final MediaPlayParameters.Viability.FitModeEnum Hidden

  The media is not scaled. Only the portions of the media rectangle that intersect the play rectangle are displayed. Same as `hidden` value of SMIL's fit attribute.

### Default

    public static final MediaPlayParameters.Viability.FitModeEnum Default

  Use the player's default setting (author has no preference).

Method Detail

### values

    public static MediaPlayParameters.Viability.FitModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaPlayParameters.Viability.FitModeEnum c : MediaPlayParameters.Viability.FitModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaPlayParameters.Viability.FitModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static MediaPlayParameters.Viability.FitModeEnum valueOf(PdfInteger code)

### getCode

    public PdfInteger getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.